using System;

using Microsoft.Xna.Framework;

namespace Syntriax.Engine.Core.Abstract;

public interface IGameObject : IEntity, IAssignableTransform, IAssignableBehaviourController, INameable, IInitialize
{
    Action<IGameObject, GameTime>? OnUpdated { get; set; }

    void Update(GameTime time);
}
